org.apache.cassandra.net

## Class IncomingTcpConnection

- java.lang.Object
- - java.lang.Thread
  - - io.netty.util.concurrent.FastThreadLocalThread
    - - org.apache.cassandra.net.IncomingTcpConnection

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Runnable

    public class IncomingTcpConnection
    extends io.netty.util.concurrent.FastThreadLocalThread
    implements java.io.Closeable

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`java.net.InetAddress` `from`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`IncomingTcpConnection(int version, boolean compressed, java.net.Socket socket, java.util.Set<java.io.Closeable> group)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `run()` A new connection will either stream or message for its entire lifetime: because streaming bypasses the InputStream implementations to use sendFile, we cannot begin buffering until we've determined the type of the connection.

### Methods inherited from class io.netty.util.concurrent.FastThreadLocalThread

`setThreadLocalMap, threadLocalMap`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### from

    public java.net.InetAddress from

### Constructor Detail

#### IncomingTcpConnection

    public IncomingTcpConnection(int version,
                                 boolean compressed,
                                 java.net.Socket socket,
                                 java.util.Set<java.io.Closeable> group)

### Method Detail

#### run

    public void run()

A new connection will either stream or message for its entire lifetime: because streaming bypasses the InputStream implementations to use sendFile, we cannot begin buffering until we've determined the type of the connection.

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`